Key Press Flows

Defines what happens when someone on a call presses a specific key, such as ending the call, moving to the next buyer, or applying a call disposition.

GET /key_press_flows

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/key_press_flows

List Key Press Flow records.

Returns the Key Press Flows configured on the account, which define what happens when a caller presses a given key during an offer's IVR.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • key_press_flow_group_id
  • key_press
  • call_control_action_ids
  • sortable_order
  • description
  • webhook_actions_count
  • call_disposition_id
  • continue_call_routing
  • buyer_conference_time_elapsed_seconds_limit
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • record_token_additional_id
  • record_token_additional_data_count
  • record_token_additional_data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /key_press_flows/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/key_press_flows/new

Build Key Press Flow with defaults.

Returns a Key Press Flow built with default attributes for previewing available fields. It is not saved.

Params

Param name Description
key_press_flow_group_id
Optional Blank value allowed

Key Press Flow Group

  • Must be a String

key_press
Optional Blank value allowed

The key that runs this flow: 0-9, *, #, or any to match any other key the caller presses.

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

continue_call_routing
Optional Blank value allowed

When enabled, pressing this key while connected to an external agent hangs up the current buyer legs and searches for the next matching call flow to connect the lead to a real buyer, instead of running call_disposition_id and call_control_action_ids.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

call_disposition_id
Optional Blank value allowed

The disposition applied to the call when this key is pressed, instead of ending the call routing search.

call_control_action_ids
Optional Blank value allowed

The actions to run when this key is pressed, instead of ending the call routing search.

buyer_conference_time_elapsed_seconds_limit
Optional Blank value allowed

Only allows this key press once the buyer has been connected for at least this many seconds.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only uses this Key Press Flow for calls matching these token values.

attribution_token_value_ids
Optional Blank value allowed

When this Key Press Flow’s actions run, the call will be tagged with these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value

POST /key_press_flows

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/key_press_flows

Create Key Press Flow.

Creates a Key Press Flow that ties a specific IVR key press to a key press flow group, along with token and call control action assignments.

Params

Param name Description
key_press_flow_group_id
Optional Blank value allowed

Key Press Flow Group

  • Must be a String

key_press
Optional Blank value allowed

The key that runs this flow: 0-9, *, #, or any to match any other key the caller presses.

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

continue_call_routing
Optional Blank value allowed

When enabled, pressing this key while connected to an external agent hangs up the current buyer legs and searches for the next matching call flow to connect the lead to a real buyer, instead of running call_disposition_id and call_control_action_ids.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

call_disposition_id
Optional Blank value allowed

The disposition applied to the call when this key is pressed, instead of ending the call routing search.

call_control_action_ids
Optional Blank value allowed

The actions to run when this key is pressed, instead of ending the call routing search.

buyer_conference_time_elapsed_seconds_limit
Optional Blank value allowed

Only allows this key press once the buyer has been connected for at least this many seconds.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only uses this Key Press Flow for calls matching these token values.

attribution_token_value_ids
Optional Blank value allowed

When this Key Press Flow’s actions run, the call will be tagged with these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value

GET /key_press_flows/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/key_press_flows/:id

Get Key Press Flow by id.

Returns a single Key Press Flow by id.

PUT /key_press_flows/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/key_press_flows/:id

Update Key Press Flow by id.

Updates a Key Press Flow's key mapping, group, or associated tokens.

Params

Param name Description
key_press_flow_group_id
Optional Blank value allowed

Key Press Flow Group

  • Must be a String

key_press
Optional Blank value allowed

The key that runs this flow: 0-9, *, #, or any to match any other key the caller presses.

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

continue_call_routing
Optional Blank value allowed

When enabled, pressing this key while connected to an external agent hangs up the current buyer legs and searches for the next matching call flow to connect the lead to a real buyer, instead of running call_disposition_id and call_control_action_ids.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

call_disposition_id
Optional Blank value allowed

The disposition applied to the call when this key is pressed, instead of ending the call routing search.

call_control_action_ids
Optional Blank value allowed

The actions to run when this key is pressed, instead of ending the call routing search.

buyer_conference_time_elapsed_seconds_limit
Optional Blank value allowed

Only allows this key press once the buyer has been connected for at least this many seconds.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only uses this Key Press Flow for calls matching these token values.

attribution_token_value_ids
Optional Blank value allowed

When this Key Press Flow’s actions run, the call will be tagged with these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
record_token_additional_list
Optional Blank value allowed

Assign additional tokens that will be applied to leads and calls by passing a comma separated string of key:value pairs.

  • Must be a valid list of tokens. Example tokens:
    buyer_interest:loan,another_token:value

DELETE /key_press_flows/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/key_press_flows/:id

Destroy Key Press Flow by id.

Permanently deletes a Key Press Flow, so pressing the associated key no longer triggers it.